> ## Documentation Index
> Fetch the complete documentation index at: https://kiflo-b3d3c9c0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List accounts

> List the accounts imported from your account mapping data sources.



## OpenAPI

````yaml /openapi.json get /v3/account-mapping/accounts
openapi: 3.0.1
info:
  title: Kiflo Public API v3
  description: "The Kiflo API allows you to have control over your integration and create the best experiences.\r\n\r\n***\r\n\r\n## Format\r\n\r\nThe API follows the REST standard using JSON to format requests and responses.  \r\nDecimals are formatted using invariant culture, ie: using \".\" (dot) as a decimal sperator and no thousands separator.  \r\nDates are formatted using ISO standards, in UTC format, including the timezone. Ex:  2015-03-25T12:00:00Z\r\n\r\n***\r\n\r\n## Security\r\n\r\nThe API is secured using an API token.\r\n\r\n**How to generate an API Access Token**  \r\n 1. Open your [account settings page](https://app.kiflo.com/account/integration)\r\n 2. Go to the \"API Access Token\" section\r\n 3. Click \"Add\" button\r\n 4. Choose a name that will be used to identify the token and click \"Add\"\r\n 4. Copy the generate token\r\n   \r\n> **Note:** For security reason, the generated API Access Token won't be visible after you close the settings page. Be sure to copy the generated token otherwise you won't be able to get it later.\r\n  \r\n**How to authenticate on the API**  \r\n  \r\nTo authenticate on the API, send the generated token in the Authorization header using the Bearer scheme:  \r\n`Authorization: Bearer #YOUR_GENERATED_TOKEN_HERE#`\r\n"
  version: v3
servers: []
security: []
paths:
  /v3/account-mapping/accounts:
    get:
      tags:
        - AccountMappingAccounts
      summary: List accounts
      description: List the accounts imported from your account mapping data sources.
      parameters:
        - name: offset
          in: query
          description: >-
            The cursor used in pagination. This is the index of the first
            account to be returned.
          schema:
            type: integer
            format: int32
        - name: limit
          in: query
          description: The maximum number of accounts to be returned. The default is 20.
          schema:
            type: integer
            format: int32
        - name: sort_by
          in: query
          description: The property used to sort the accounts by. The default is Name.
          schema:
            type: string
        - name: order_by
          in: query
          description: >-
            The sorting direction for the returned accounts. Accepted values:
            ASC, DESC. The default is ASC.
          schema:
            type: string
        - name: type
          in: query
          description: Filters accounts on their type.
          schema:
            $ref: '#/components/schemas/AccountType'
        - name: data_source_id
          in: query
          description: Filters accounts on the data source they were imported from.
          schema:
            type: integer
            format: int32
        - name: external_id
          in: query
          description: Filters accounts on their external ID.
          schema:
            type: string
        - name: has_prospect_overlaps
          in: query
          description: "Filters accounts on whether they overlap with at least one prospect account.\r\nWhen true, returns only accounts that overlap with a prospect account; when false, returns only accounts\r\nthat do not. When omitted, no filter is applied."
          schema:
            type: boolean
        - name: has_customer_overlaps
          in: query
          description: "Filters accounts on whether they overlap with at least one customer account.\r\nWhen true, returns only accounts that overlap with a customer account; when false, returns only accounts\r\nthat do not. When omitted, no filter is applied."
          schema:
            type: boolean
        - name: has_opportunity_overlaps
          in: query
          description: "Filters accounts on whether they overlap with at least one opportunity account.\r\nWhen true, returns only accounts that overlap with an opportunity account; when false, returns only accounts\r\nthat do not. When omitted, no filter is applied."
          schema:
            type: boolean
      responses:
        '200':
          description: Accounts returned
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountMappingAccountListResponseDto'
              example:
                items:
                  - id: 1
                    externalId: 0015g00000ABCDEFGHI
                    name: Acme Corporation
                    type: Customer
                    country: United States
                    websiteUrl: https://www.acme.com
                    ownerName: Jane Doe
                    ownerEmail: jane.doe@acme.com
                    dataSourceId: 1
                    dataSourceName: Salesforce export Q1
                    dataSourceType: Csv
                    importedDate: '2026-04-22T10:06:00Z'
                    prospectOverlapsCount: 2
                    opportunityOverlapsCount: 1
                    customerOverlapsCount: 0
                paginationSkipCount: 0
                totalCount: 1
        '400':
          description: Invalid request
        '403':
          description: Account mapping feature is not available
      security:
        - oauth2:
            - AccountMappingAccount.View
            - Api
components:
  schemas:
    AccountType:
      enum:
        - Unknown
        - Prospect
        - Opportunity
        - Customer
      type: string
    AccountMappingAccountListResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/AccountMappingAccountDto'
          nullable: true
        paginationSkipCount:
          type: integer
          format: int32
        totalCount:
          type: integer
          description: >-
            Gets or sets the total number of items that could be returned by
            this command (without pagination).
          format: int32
      additionalProperties: false
    AccountMappingAccountDto:
      type: object
      properties:
        id:
          type: integer
          format: int32
        externalId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        type:
          $ref: '#/components/schemas/AccountType'
        country:
          type: string
          nullable: true
        websiteUrl:
          type: string
          nullable: true
        ownerName:
          type: string
          nullable: true
        ownerEmail:
          type: string
          nullable: true
        dataSourceId:
          type: integer
          format: int32
        dataSourceName:
          type: string
          nullable: true
        dataSourceType:
          $ref: '#/components/schemas/AccountMappingDataSourceType'
        importedDate:
          type: string
          format: date-time
        prospectOverlapsCount:
          type: integer
          format: int32
        opportunityOverlapsCount:
          type: integer
          format: int32
        customerOverlapsCount:
          type: integer
          format: int32
      additionalProperties: false
    AccountMappingDataSourceType:
      enum:
        - Unknown
        - Csv
        - HubSpot
      type: string

````